Ector

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Ector

## Typedefs
typedef Eo | Ector_Surface
| The base type to render content into.
typedef Eo | Ector_Renderer
| The base type describing what to render.
typedef enum _Ector_Rop | Ector_Rop
| Raster operations at pixel level.
typedef enum _Ector_Quality | Ector_Quality
| Quality values.
typedef enum _Ector_Priority | Ector_Priority
| Priorities.
typedef enum _Ector_Update_Type | Ector_Update_Type
| What kind of update is being pushed.

## Enumerations
enum | _Ector_Rop { ECTOR_ROP_BLEND, ECTOR_ROP_COPY, ECTOR_ROP_LAST }
| Raster operations at pixel level. More...
enum | _Ector_Quality { ECTOR_QUALITY_BEST, ECTOR_QUALITY_GOOD, ECTOR_QUALITY_FAST, ECTOR_QUALITY_LAST }
| Quality values. More...
enum | _Ector_Priority { ECTOR_PRIORITY_NONE = 0, ECTOR_PRIORITY_MARGINAL = 64, ECTOR_PRIORITY_SECONDARY = 128, ECTOR_PRIORITY_PRIMARY = 256 }
| Priorities.
enum | _Ector_Update_Type { ECTOR_UPDATE_BACKGROUND = 1, ECTOR_UPDATE_EMPTY = 2, ECTOR_UPDATE_ALPHA = 4, ECTOR_UPDATE_OPAQUE = 8 }
| What kind of update is being pushed.

## Functions
EAPI int | ector_init (void)
| Init the ector subsystem. More...
EAPI int | ector_shutdown (void)
| Shutdown the ector subsystem. More...

## Detailed Description

## Enumeration Type Documentation

enum _Ector_Rop

Raster operations at pixel level.

Enumerator
ECTOR_ROP_BLEND | D = S + D(1 - Sa)
ECTOR_ROP_COPY | D = S.

enum _Ector_Quality

Quality values.

Enumerator
ECTOR_QUALITY_BEST | Best quality.
ECTOR_QUALITY_GOOD | Good quality.
ECTOR_QUALITY_FAST | Lower quality, fastest.

## Function Documentation

EAPI int ector_init | ( | void |  | ) |

Init the ector subsystem.

Returns
  `EINA_TRUE` on success.

See also
  ector_shutfown()

References eina_init(), EINA_LIKELY, eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, eina_log_timing(), eina_shutdown(), eo_init(), and eo_shutdown().

EAPI int ector_shutdown | ( | void |  | ) |

Shutdown the ector subsystem.

Returns
  `EINA_TRUE` on success.

See also
  ector_init()

References EINA_LIKELY, eina_log_domain_unregister(), EINA_LOG_ERR, EINA_LOG_STATE_SHUTDOWN, eina_log_timing(), eina_shutdown(), and eo_shutdown().